<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'auth_oauth2', language 'th', branch 'MOODLE_36_STABLE'
 *
 * @package   auth_oauth2
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['accountalreadylinked'] = 'บัญชี OAuth 2 นี้เชื่อมโยงกับบัญชี Totara อื่นแล้ว';
$string['accountwithemailexists'] = 'มีผู้ใช้อยู่แล้วในไซต์นี้ด้วยชื่อผู้ใช้นี้ หากนี่คือบัญชีของคุณ เข้าสู่ระบบโดยป้อนชื่อผู้ใช้และรหัสผ่านของคุณ และเพิ่มเป็นการเข้าสู่ระบบที่เชื่อมโยงผ่านหน้าการตั้งค่าของคุณ';
$string['allowaccountcreation'] = 'อนุญาตให้สร้างบัญชีใหม่';
$string['allowaccountcreation_desc'] = 'เปิดใช้งานหากคุณต้องการให้ปลั๊กอินนี้สร้างบัญชี OAuth 2 ใหม่เมื่อผู้ใช้เข้าสู่ระบบผ่านบริการ OAuth เป็นครั้งแรก';
$string['allowautolinkingexisting'] = 'อนุญาตการเชื่อมโยงอัตโนมัติของบัญชีที่มีอยู่';
$string['allowautolinkingexisting_desc'] = 'เปิดใช้งานหากคุณต้องการอนุญาตการเชื่อมโยงอัตโนมัติของบัญชี OAuth 2 ภายนอกกับบัญชีผู้ใช้ Totara ในเครื่องที่มีอยู่ผ่านที่อยู่อีเมลระหว่างกระบวนการเข้าสู่ระบบ

เพื่อป้องกันไม่ให้บัญชีถูกบุกรุก ขอแนะนำอย่างยิ่งให้เปิดใช้งานการยืนยันความเป็นเจ้าของอีเมลในการตั้งค่าผู้ออก';
$string['alreadylinked'] = 'บัญชีภายนอกนี้เชื่อมโยงกับบัญชีบนไซต์นี้แล้ว';
$string['auth_oauth2description'] = 'การตรวจสอบสิทธิ์ตามมาตรฐาน OAuth 2';
$string['auth_oauth2settings'] = 'การตั้งค่าการตรวจสอบสิทธิ์ OAuth 2';
$string['confirmaccountemail'] = 'สวัสดี {$a->fullname}

มีการร้องขอบัญชีใหม่ที่ "{$a->sitename}" โดยใช้ที่อยู่อีเมลของคุณ
หากต้องการยืนยันบัญชีใหม่ของคุณโปรดไปที่ ที่อยู่เว็บนี้:

{$a->link}

ในโปรแกรมอีเมลส่วนใหญ่ จะปรากฏเป็นลิงก์สีน้ำเงินซึ่งคุณสามารถคลิก หากไม่ได้ผล ให้ตัดและวางที่อยู่ลงในบรรทัดที่อยู่ที่ด้านบนของหน้าต่างเว็บเบราว์เซอร์ของคุณ

หากคุณต้องการความช่วยเหลือโปรดติดต่อผู้ดูแลเว็บไซต์

{$a->admin}';
$string['confirmaccountemailsubject'] = '{$a}: การยืนยันบัญชีผู้ใช้งานระบบ';
$string['confirmationinvalid'] = 'ลิงก์ยืนยันไม่ถูกต้องหรือหมดอายุแล้ว โปรดเริ่มกระบวนการเข้าสู่ระบบอีกครั้งเพื่อสร้างอีเมลยืนยันใหม่';
$string['confirmationpending'] = 'บัญชีนี้กำลังรอการยืนยันทางอีเมล';
$string['confirmdeletelinkedlogin'] = 'คุณต้องการลบ {$a->issuername} ที่เชื่อมโยงการเข้าสู่ระบบสำหรับผู้ใช้ {$a->fullname} หรือไม่';
$string['confirmlinkedloginemail'] = 'สวัสดี {$a->fullname}

มีการร้องขอให้เชื่อมโยง {$a->issuername} เข้าสู่ระบบ {$a->linkedemail} กับบัญชีของคุณที่ "{$a->sitename}" โดยใช้ที่อยู่อีเมลของคุณ

หากต้องการยืนยันคำขอนี้และเชื่อมโยงการเข้าสู่ระบบเหล่านี้โปรดไปที่ที่อยู่เว็บนี้:

{$a->link}

ในโปรแกรมอีเมลส่วนใหญ่สิ่งนี้ควรปรากฏเป็นลิงก์สีน้ำเงินซึ่งคุณสามารถคลิกได้ หากไม่ได้ผลให้ตัดและวางที่อยู่ลงในบรรทัดที่อยู่ที่ด้านบนของหน้าต่างเว็บเบราว์เซอร์ของคุณ หากคุณต้องการความช่วยเหลือโปรดติดต่อผู้ดูแลเว็บไซต์
{$a->admin}';
$string['confirmlinkedloginemailsubject'] = '{$a}: การยืนยันการเข้าสู่ระบบที่เชื่อมโยง';
$string['createnewlinkedlogin'] = 'เชื่อมโยงบัญชีใหม่ ({$a})';
$string['deletelinkedlogin'] = 'ลบการเข้าสู่ระบบที่เชื่อมโยง';
$string['emailconfirmlink'] = 'เชื่อมโยงบัญชีของคุณ';
$string['emailconfirmlinksent'] = '<p>พบบัญชีที่มีอยู่พร้อมที่อยู่อีเมลนี้ แต่ยังไม่ได้เชื่อมโยง</p><p> ต้องเชื่อมโยงบัญชีก่อนจึงจะสามารถเข้าสู่ระบบได้</p>
<p> ควรส่งอีเมลไปยังที่อยู่ของคุณที่ <b>{$a}</b></p>
<p> มีคำแนะนำง่ายๆในการเชื่อมโยงบัญชีของคุณ</p>
<p> หากคุณมีปัญหาใด ๆ โปรดติดต่อผู้ดูแลไซต์</p>';
$string['emailpasswordchangeinfo'] = 'สวัสดี {$a->firstname}

มีบางคน (อาจเป็นคุณ) ได้ขอรหัสผ่านใหม่สำหรับบัญชีของคุณใน &quot;{$a->sitename}&quot;

อย่างไรก็ตามไม่สามารถรีเซ็ตรหัสผ่านของคุณได้เนื่องจากคุณกำลังใช้บัญชีของคุณในไซต์อื่น

โปรดเข้าสู่ระบบเหมือนเดิมโดยใช้ลิงก์ในหน้าเข้าสู่ระบบ
{$a->admin}';
$string['emailpasswordchangeinfosubject'] = '{$a}: เปลี่ยนข้อมูลรหัสผ่าน';
$string['info'] = 'บัญชีภายนอก';
$string['issuer'] = 'บริการ OAuth 2';
$string['issueremail'] = 'อีเมลผู้ออกภายนอก';
$string['issuernologin'] = 'ไม่สามารถใช้ผู้ออกใบนี้เพื่อเข้าสู่ระบบได้';
$string['issuerusername'] = 'ชื่อผู้ใช้ผู้ออกภายนอก';
$string['linkedlogins'] = 'การเข้าสู่ระบบที่เชื่อมโยง';
$string['linkedloginshelp'] = 'ความช่วยเหลือเกี่ยวกับการเข้าสู่ระบบที่เชื่อมโยง';
$string['loginerror_authenticationfailed'] = 'กระบวนการรับรองความถูกต้องล้มเหลว';
$string['loginerror_cannotcreateaccounts'] = 'ไม่พบบัญชีที่มีที่อยู่อีเมลของคุณ';
$string['loginerror_invaliddomain'] = 'ไม่อนุญาตให้ใช้ที่อยู่อีเมลในไซต์นี้';
$string['loginerror_nolinking'] = 'บัญชี OAuth 2 เชื่อมโยงกับบัญชีในเครื่องไม่ได้';
$string['loginerror_nouserinfo'] = 'ไม่มีการส่งคืนข้อมูลผู้ใช้ บริการ OAuth 2 อาจกำหนดค่าไม่ถูกต้อง';
$string['loginerror_userincomplete'] = 'ข้อมูลผู้ใช้ที่ส่งคืนไม่มีชื่อผู้ใช้และที่อยู่อีเมล บริการ OAuth 2 อาจกำหนดค่าไม่ถูกต้อง';
$string['noissuersavailable'] = 'ไม่มีบริการ OAuth2 ที่กำหนดค่าไว้ใด ๆ ที่อนุญาตให้คุณเชื่อมโยงบัญชีเข้าสู่ระบบ';
$string['notenabled'] = 'ขออภัยไม่ได้เปิดใช้งานปลั๊กอินการตรวจสอบสิทธิ์ OAuth 2';
$string['notloggedindebug'] = 'ความพยายามในการเข้าสู่ระบบล้มเหลว เหตุผล: {$a}';
$string['oauth2:deletelinkedlogins'] = 'ลบลิงค์เข้าสู่ระบบ OAuth 2';
$string['oauth2:managelinkedlogins'] = 'จัดการบัญชีล็อกอินที่เชื่อมโยงของตัวเอง';
$string['plugindescription'] = 'ปลั๊กอินการพิสูจน์ตัวตนนี้แสดงรายการของผู้ให้บริการข้อมูลประจำตัวที่กำหนดค่าไว้ในหน้าล็อกอิน การเลือกผู้ให้บริการข้อมูลประจำตัวช่วยให้ผู้ใช้เข้าสู่ระบบด้วยข้อมูลรับรองจากผู้ให้บริการ OAuth 2';
$string['pluginname'] = 'OAuth 2';
$string['userdataitem-issuer-email'] = 'อีเมลของผู้ออก OAuth 2';
$string['userdataitem-issuer-username'] = 'ชื่อผู้ใช้ของผู้ออก OAuth 2';
