<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'cachestore_redis', language 'th', branch 'MOODLE_36_STABLE'
 *
 * @package   cachestore_redis
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['database'] = 'หมายเลขฐานข้อมูล';
$string['database_help'] = 'ตามหลักการแล้วคุณควรระบุหมายเลขฐานข้อมูลที่ไม่ซ้ำกันสำหรับการบันทึกแต่ละครั้ง การติดตั้งที่แตกต่างกันไม่ควรใช้ฐานข้อมูล Redis ร่วมกัน';
$string['errordatabasenegative'] = 'ฐานข้อมูลต้องเป็น 0 หรือจำนวนเต็มบวก';
$string['password'] = 'รหัสผ่าน';
$string['password_help'] = 'สิ่งนี้ตั้งรหัสผ่านของเซิร์ฟเวอร์ Redis';
$string['pluginname'] = 'Redis';
$string['prefix'] = 'Key prefix';
$string['prefix_help'] = 'คำนำหน้านี้ใช้สำหรับชื่อคีย์ทั้งหมดบนเซิร์ฟเวอร์ Redis

* หากคุณมีเพียงหนึ่ง Totara โดยใช้เซิร์ฟเวอร์นี้คุณสามารถปล่อยค่าเริ่มต้นนี้ได้

* เนื่องจากข้อจำกัดความยาวของคีย์อนุญาตให้ใช้อักขระได้ไม่เกิน 5 ตัว';
$string['prefixinvalid'] = 'คำนำหน้าไม่ถูกต้อง คุณสามารถใช้ az AZ 0-9-_ เท่านั้น';
$string['read_password'] = 'อ่านรหัสผ่านจำลอง';
$string['read_password_help'] = 'สิ่งนี้ตั้งรหัสผ่านของเซิร์ฟเวอร์ Redis แบบจำลองการอ่าน';
$string['read_server'] = 'อ่านเซิร์ฟเวอร์จำลอง';
$string['read_server_help'] = 'หากคุณมีสภาพแวดล้อมที่มีตัวจำลองการอ่าน redis โปรดระบุที่อยู่ตัวจัดสรรภาระงานของตัวจำลองที่นี่';
$string['sentinelhosts'] = 'Sentinel hosts';
$string['sentinelhosts_help'] = 'Redis Sentinel เป็นโซลูชันที่มีความพร้อมใช้งานสูงสำหรับ Redis ให้การตรวจสอบล้มเหลวและลดความซับซ้อนของการกำหนดค่า
ใช้รายการ sentinels ที่คั่นด้วยจุลภาคโดยใช้รูปแบบ "host1: port, host2: port, host3: port" ไม่รองรับซ็อกเก็ต unix เมื่อระบุอ็อพชันเซิร์ฟเวอร์จะไม่ใช้และอ็อพชันรหัสผ่านถูกใช้สำหรับมาสเตอร์ที่ส่งคืนจาก sentinel';
$string['sentinelmaster'] = 'Sentinel master name';
$string['sentinelmaster_help'] = 'Internal master name in Redis Sentinel configuration';
$string['sentinelpassword'] = 'Sentinel password';
$string['serializer_igbinary'] = 'ซีเรียลไลเซอร์ igbinary';
$string['serializer_php'] = 'Serializer PHP เริ่มต้น';
$string['server'] = 'เซิร์ฟเวอร์';
$string['server_help'] = 'ซึ่งตั้งค่าชื่อโฮสต์หรือที่อยู่ IP ของเซิร์ฟเวอร์ Redis ที่จะใช้';
$string['test_database'] = 'ฐานข้อมูลการทดสอบ Redis';
$string['test_database_desc'] = 'หมายเลขฐานข้อมูลทดสอบ Redis บนเซิร์ฟเวอร์ทดสอบ';
$string['test_password'] = 'รหัสผ่านเซิร์ฟเวอร์ทดสอบ Redis';
$string['test_password_desc'] = 'รหัสผ่านเซิร์ฟเวอร์ทดสอบ Redis';
$string['test_read_password'] = 'Redis อ่านรหัสผ่านจำลอง';
$string['test_read_password_desc'] = 'Redis อ่านรหัสผ่านจำลอง';
$string['test_read_server'] = 'Redis อ่านเซิร์ฟเวอร์ทดสอบแบบจำลอง';
$string['test_read_server_desc'] = 'Redis อ่านเซิร์ฟเวอร์จำลองเพื่อใช้สำหรับการทดสอบ';
$string['test_sentinelhosts'] = 'Redis ทดสอบโฮสต์ Sentinel';
$string['test_sentinelhosts_desc'] = 'โฮสต์ Redis Sentinel ใช้สำหรับการทดสอบ MUC';
$string['test_sentinelmaster'] = 'Redis ทดสอบชื่อหลักของ Sentinel';
$string['test_sentinelmaster_desc'] = 'ชื่อต้นแบบ Redis Sentinel ที่ใช้สำหรับการทดสอบ MUC';
$string['test_sentinelpassword'] = 'รหัสผ่าน Redis ทดสอบ Sentinel';
$string['test_sentinelpassword_desc'] = 'รหัสผ่าน Redis Sentinel ใช้สำหรับการทดสอบ MUC';
$string['test_serializer'] = 'Serializer';
$string['test_serializer_desc'] = 'Serializer เพื่อใช้สำหรับการทดสอบ';
$string['test_server'] = 'เซิร์ฟเวอร์ทดสอบ Redis';
$string['test_server_desc'] = 'ใช้เซิร์ฟเวอร์ Redis เพื่อใช้ทดสอบ';
$string['useserializer'] = 'ใช้ Serializer';
$string['useserializer_help'] = 'ระบุซีเรียลไลเซอร์ที่จะใช้สำหรับการทำให้เป็นอนุกรม ซีเรียลไลเซอร์ที่ถูกต้องคือ Redis :: SERIALIZER_PHP หรือ Redis :: SERIALIZER_IGBINARY หลังได้รับการสนับสนุนเฉพาะเมื่อ phpredis ถูกกำหนดค่าด้วย --enable-redis-igbinary option และโหลดส่วนขยาย igbinary';
$string['useserializer_warning'] = 'ต้องไม่เปลี่ยนแปลง Serializer หากมีข้อมูลในแคชอยู่แล้ว';
